Description

I am using automatic repository creation via reposman.rb.  I wanted the ability to have reposman.rb only create repositories when i

wanted it to.  Currently it will create them for every project.  I also wanted the ability to have a public or a private repository regardless

of my project being private or public.

I have included a patch done against Redmine .0.8.2.  I also had to add 2 new fields to the projects table in the sql database.  The 2

fields I added were create_repo and public_repo.

create_repo = tinyint(1) with a default of 0

public_repo = tinyint(1) with a default of 1

I have added 2 check boxes to the project settings and add project.  They will turn on/off auto creation for the project and if create

then will set the public/private access for the project.

I am only using Subversion right now so I am not sure how this will work with Git.

This obviously requires the user to have "Enable WS for repository management" checked.

This also makes it possible to utilize auto creation and give the user the ability to set up an unique repository for a project.  If they

want to link to a special repository on another box they can do this without being thwarted by reposman.rb trying to do its thing.

History

#1 - 2009-04-01 10:59 - J Cayetano Delgado

+1

#2 - 2009-08-13 08:14 - WenSong Zhou

- File error.jpg added

NoMethodError in ProjectsController#add

undefined method `public_repo=' for #<Project:0xb68257d8>

RAILS_ROOT: /var/cgi-bin/redmine

Application Trace | Framework Trace | Full Trace

vendor/rails/activerecord/lib/active_record/attribute_methods.rb:251:in `method_missing'

app/controllers/projects_controller.rb:73:in `add'

i use redmine0.8.4+ruby1.8.7+rails2.2.2+apache2+passenger+mysql

 error.jpg 

#3 - 2011-01-18 08:14 - Toshi MARUYAMA

- Category set to SCM

#4 - 2011-03-24 06:29 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

Files

Reposman_Redmine_0.8.2.patch 6.91 KB 2009-03-31 Tide _
error.jpg 113 KB 2009-08-13 WenSong Zhou
